<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="layout,dialog,grid,tree,dateTime,combox,attachment,commonTree,comboDialog"/>
    <script src='<c:url value="/lib/jquery/jquery.comboDialog.js"/>' type="text/javascript"></script>
    <script src='<c:url value="/lib/jquery/jquery.commonTree.js"/>' type="text/javascript"></script>
    <script src='<c:url value="/lib/jquery/jquery.flexField.js"/>' type="text/javascript"></script>
    <script src='<c:url value="/biz/topsun/sap/purchaseOrder/sapPurchaseOrderList.js"/>' type="text/javascript"></script>
</head>
<body>
<div class="container-fluid">
    <div id="layout">
        <div position="center" title="">
            <x:title title="搜索" hideTable="queryMainForm"/>
            <form class="hg-form ui-show" method="post" action="" id="queryMainForm">
                <div class="hg-form-row">
                    <x:inputC name="billCode" label="需求跟踪编号" labelCol="1"/>
                    <x:inputC name="ebeln" label="采购订单号码" labelCol="1"/>
                </div>
                <div class="hg-form-row">
                    <div class="col-xs-4 col-sm-1">
                        <label class="hg-form-label">申请日期起&nbsp;:</label>
                    </div>
                    <div class="col-xs-4 col-sm-2 col-white-bg">
                        <x:input name="fillinBeginDate" required="false" wrapper="date" />
                    </div>
                    <div class="col-xs-4 col-sm-1">
                        <label class="hg-form-label">申请日期止&nbsp;:</label>
                    </div>
                    <div class="col-xs-4 col-sm-2 col-white-bg">
                        <x:input name="fillinEndDate" label="至" required="false" wrapper="date" />
                    </div>
                </div>
                <div class="hg-form-row">
                    <x:checkboxListC name="statusKind" label="common.field.status" list="statusKindsList" labelCol="1" fieldCol="3"/>
                </div>
                <x:searchButtons/>
            </form>
            <x:title title="" hideTable="#purchaseOrderGrid" name="list"/>
            <div id="purchaseOrderGrid" style="margin:2px;"></div>
        </div>
    </div>
</div>
</body>
</html>

