package com.huigou.topsun.sap.clientMaterials.domain;

import com.huigou.data.domain.model.FlowBillAbstractEntity;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Auther: LXH
 * @Date: 2024/06/05/10:45
 * @Description:客户供料通知
 */
@Table(name = "sap_client_materials")
@Entity
@Data
public class ClientMaterials extends FlowBillAbstractEntity {

    /**
     * 责任部门
     */
    @Column(name = "depart")
    private String depart;

    @Column(name = "depart_name")
    private String departName;

    /**
     * 人员
     */
    @Column(name = "apply_person")
    private String applyPerson;

    @Column(name = "apply_person_name")
    private String applyPersonName;


    /*
     * 用途
     */
    @Column(name = "used")
    private String used;


    /*
     * 供应商名称
     */
    //// @Column(name = "suppliers_name")
   // private String suppliersName;

    @Column(name = "remark")
    private String remark;


    @Column(name = "attbiz_id")
    private String attbizId;


    @Column(name = "sale_order")
    private String saleOrder;

    @Column(name = "produce_order")
    private String produceOrder;

    @Override
    protected String getCodeRuleId() {
        return "clientMaterials";
    }
}
