package com.huigou.topsun.sap.purchaseOrder.domain.vo;


import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 
 * @TableName sap_purchase_approval_item
 */
@Data
public class SapPurchaseOrderItemVo {
    @JsonProperty("EBELP")
    private String ebelp;

    @JsonProperty("PSTYP")
    private String pstyp;

    @JsonProperty("PTEXT")
    private String ptext;

    @JsonProperty("KNTTP")
    private String knttp;

    @JsonProperty("KNTTX")
    private String knttx;

    @JsonProperty("MATNR")
    private String matnr;

    @JsonProperty("TXZ01")
    private String txz01;

    @JsonProperty("MATKL")
    private String matkl;

    @JsonProperty("WGBEZ")
    private String wgbez;

    @JsonProperty("MENGE")
    private double menge;

    @JsonProperty("MEINS")
    private String meins;

    @JsonProperty("MSEHL")
    private String msehl;

    @JsonProperty("EINDT")
    private String eindt;

    @JsonProperty("WERKS")
    private String werks;

    @JsonProperty("NAME1")
    private String name1;

    @JsonProperty("LGORT")
    private String lgort;

    @JsonProperty("LGOBE")
    private String lgobe;

    @JsonProperty("NETPR")
    private Double netpr;

    @JsonProperty("PEINH")
    private Integer peinh;

    @JsonProperty("MWSKZ")
    private String mwskz;

    @JsonProperty("KBETR")
    private String kbetr;

    @JsonProperty("NETWR")
    private Double netwr;

    @JsonProperty("RETPO")
    private String retpo;

    @JsonProperty("SAKTO")
    private String sakto;

    @JsonProperty("KOSTL")
    private String kostl;

    @JsonProperty("ANLN1")
    private String anln1;

    @JsonProperty("ANLN2")
    private String anln2;

    @JsonProperty("UMSON")
    private String umson;

    /**
     * 销售单号
     */
    @JsonProperty("VBELN")
    private String vbeln;

    /**
     * 销售单行项目
     */
    @JsonProperty("POSNR")
    private String posnr;

    /**
     * 联系人电话
     */
    @JsonProperty("TELF1")
    private String telf1;

    /**
     * 成品数量
     */
    @JsonProperty("KWMENG")
    private BigDecimal kwmeng;

    /**
     * 指令号
     */
    @JsonProperty("ZINSTNUM")
    private String zinstnum;

    /**
     * 产品编码
     */
    @JsonProperty("MATNR2")
    private String matnr2;

    /**
     * 产品描述
     */
    @JsonProperty("MAKTX")
    private String maktx;

    /**
     * 交货地址
     */
    @JsonProperty("STR_SUPPL")
    private String strSuppl;

    /**
     * 运输费用
     */
    @JsonProperty("KBETR2")
    private BigDecimal kbetr2;

}