package com.huigou.topsun.mes.unqualifiedMaterials.application;

import com.huigou.topsun.mes.unqualifiedMaterials.domain.UnqualifiedMaterials;
import com.huigou.topsun.mes.unqualifiedMaterials.domain.query.UnqualifiedMaterialsQueryRequest;
import com.huigou.topsun.mes.unqualifiedMaterials.domain.vo.UnqualifiedMaterialsVo;

import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/08/12/10:29
 * @Description:
 */
public interface UnqualifiedMaterialsApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/mes/unqualifiedMaterials/unqualifiedMaterials.xml";

    String PROCESS_DEFINITION_KEY = "unqualifiedMaterialsProc";

    UnqualifiedMaterials findUnqualifiedMaterialsById(String id);

    UnqualifiedMaterials saveUnqualifiedMaterials(UnqualifiedMaterials unqualifiedMaterials);

    Map<String, Object> slicedUnqualifiedMaterialsList(UnqualifiedMaterialsQueryRequest queryRequest);

    void saveMesUnqualifiedMaterialsVo(UnqualifiedMaterialsVo unqualifiedMaterialsVo);
}
